My main goal is to store parts into a database, import them into Sketchup, and manipulate them using a web interface, while keeping in sync with the database. I want the web service with sketchup both through the web page and directly, although I am current just interacting through the web page.
Posts
-
RE: ASP web interface
-
ASP web interface
I am developing a Sketchup application that uses an ASP in C# interface that I want to connect to a web service. Is there anyone else who is developing or has developed something similar?
-
What is the best way to find the type of an entity
I have seen .typename, .is_a?, and .class. Are there any other/better ways to refer to type?
-
RE: Trying to improve the speed of a simple script
I found that creating geometry inside of a group, and then exploding it handle at least a little bit faster than creating it by itself.
hopefully this is kind of what you had in mind:
def constructRectangle(x,y,z,height) model = Sketchup.active_model entities = model.entities group = entities.add_group face = group.entities.add_face([0,0,0],[x,0,0],[x,y,0],[0,y,0]) face.pushpull(height) group.explode end
-
RE: Changing the orientation and position of the axis?
I've had problems with the transformation.axes, too. To the best of my knowledge, which isn't that good, it rotates the part so that the transformation axes are aligned to the global axes. As for a possible solution, I found it easiest to just do the math to adjust for the face.normal.
-
RE: Problem with Observers
thanks for the quick replies.
after reading the articles, I tried to use a selection observer, but there seems to be some "gotchas" with it.
for example, if you manually select something, it won't trigger the "onSelectionAdd" event, but if it is automatically selected, then it will.
any ideas?
-
Problem with Observers
I am having a problem with the Entities Observer. I created a block with a hole in it, and put it inside of a group. then I added an Entities observer to the group's entities. when I did, it added an extra face inside of the group, so that it overlapped with another existing face.
I still don't understand observers fully. Is this a known problem or just my lack of understanding?
Chris
-
RE: A bunch of Ruby questions
thanks for the quick responses.
to clarify the question about adding the entity to faces dynamically, I was wondering if it is possible to place an entity on a face in 2 dimensions, disregarding depth, and still be able to reference it in 3 dimensions.
-
A bunch of Ruby questions
Well, I have a bunch of questions, so instead of doing a bunch of different topics, I decided to just do one.
Is there any way to find the opposite face of a rectangular block without using a raytest?
Is it better to add a group to a component and draw new entities inside or better to draw the entities and then group them?
Is there any way to change the axis of a component without using transformations?
Can you tell whether a part is drawn by the component axes or global?
Is there a way to dynamically change the face an entity is drawn on?
Can you get the global location of a component without using BoundingBox?
-
Creating a slot on a face
Does anyone know of a way to connect two opposite-facing arc curves so that it will create a pill-like face?
what I am trying to do is create a script that will create two arc curves, connect them and extrude the face into a block
thanks,
Chris -
Transformations to faces
Is it possible to apply a transformation to individual faces or just groups and components?